    .today {
        border: 2px solid #0d6efd !important;
        box-shadow: 0 0 0 2px rgba(13, 110, 253, 0.15);
        position: relative;
    }

    .today::after {
        content: "Hari ini";
        position: absolute;
        top: 6px;
        right: 6px;
        font-size: 10px;
        background: #0d6efd;
        color: #fff;
        padding: 2px 6px;
        border-radius: 6px;
    }

    .calendar-days {
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        margin-bottom: 10px;
        font-weight: 600;
        text-align: center;
    }

    .calendar-days div {
        padding: 8px;
    }

    .calendar-days div:first-child {
        color: #dc3545;
    }

    .calendar-grid {
        display: grid;
        grid-template-columns: repeat(7, 1fr);
        gap: 10px;
    }

    .calendar-box {
        background: #fff;
        border-radius: 12px;
        padding: 10px;
        min-height: 90px;
        border: 1px solid #eee;
        transition: 0.25s;
        cursor: pointer;
    }

    .calendar-box:hover {
        transform: translateY(-5px);
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.08);
    }

    .day-number {
        font-weight: 600;
        font-size: 14px;
    }

    .day-income {
        font-size: 14px;
        margin-top: 6px;
        font-weight: bold;
    }

    .sunday {
        color: #dc3545;
    }

    /* heatmap warna */
    .heat-0 {
        background: #fff;
    }

    .heat-1 {
        background: #e8f5e9;
    }

    .heat-2 {
        background: #c8e6c9;
    }

    .heat-3 {
        background: #81c784;
        color: #fff;
    }

    .heat-4 {
        background: #2e7d32;
        color: #fff;
    }

    @media (max-width:576px) {
        .today {
            border: 2px solid #0d6efd !important;
            box-shadow: 0 0 0 2px rgba(13, 110, 253, 0.15);
            position: relative;
        }
    
        .today::after {
            content: "Hari ini";
            position: absolute;
            top: 6px;
            right: 6px;
            font-size: 5px;
            background: #0d6efd;
            color: #fff;
            padding: 2px 6px;
            border-radius: 6px;
        }
        .calendar-grid {
            gap: 4px;
        }

        .calendar-box {
            padding: 3px;
            min-height: 55px;
        }

        .day-number {
            font-size: 8px;
        }

        .day-income {
            font-size: 8px;
        }

    }